This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 117423 - PL2303 serial to USB
PL2303 serial to USB
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Pete Zaitcev
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-03 15:55 EST by zahour
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-29 16:09:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description zahour 2004-03-03 15:55:39 EST
Description of problem:
Problem with modul pl2303 after connect pppd.I can send packets, but
no recieved. Start dialog pppd is OK. Tested width hardware Siemens
C55 and USB cable with serialt to USB chip Prolific technology, inc
PL2303 serial port.

Version-Release number of selected component (if applicable):
kernel 2.4.22-1.2174.nptl 

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Eric T. Schaffner 2004-03-19 21:19:04 EST
I've also encountered this bug.  The module works fine with 
kernel-2.4.22-1.2115.nptl, but every kernel errata after 2115 fails 
to allow receiving packets.  Reverting to 2115 restores proper 
behavior. 
 
I'm using the PL2303 USB Serial cable with a Samsung S105 phone. 
 
Steps to reproduce: 
 
(1)  Connect to the phone via PPP. 
(2)  Try to ping any address.  Packets go out, but don't come back. 
(3)  Stop PPPD.  PPPD reports that only 42 bytes were received, but 
many times more were sent. 
Comment 2 zahour 2004-03-21 12:19:46 EST
I have problem under kernel-2.4.22-1.2115.nptl also.
                                                  ZAH
Comment 3 Pete Zaitcev 2004-03-23 14:48:01 EST
Incidentially, I think I fixed Eric's problem, athough it's hard
to be sure without testing.

Zahour's case seems to be specific to Prolific. I suspect someone
backported pl2303 from 2.6, and there's a major difference in that
part of the code: termios are not explicitly set in 2.4, but they
are in 2.6. The mct_u232 suffers from the same problem.
Comment 4 Pete Zaitcev 2004-04-06 01:47:34 EDT
I have a test kernel at ftp://people.redhat.com/zaitcev/us3/
(it's RHEL kernel, but should work for Fedora).
It might not fix pl2303 issues, but it should address ppp.
Comment 5 Eric T. Schaffner 2004-04-23 23:37:47 EDT
I just downloaded and installed the kernel-2.4.21-12.usbserial3.1.EL 
rpm.  The same behavior still occurs with pl2303+ppp on my system. 
Comment 6 zahour 2004-05-23 15:32:15 EDT
PL2303 is working OK under Fedora Core 2 width kernel 2.6.5-1.358 PL2303. 
Comment 7 Lewi 2004-06-30 16:06:24 EDT
still no changes in FC1 kernel 2.4.22-1.2194.nptl
problem still occurs, 

FC2 working OK (all errata kernel)
Comment 8 Pete Zaitcev 2004-08-10 15:35:25 EDT
If 2.4.20-1.2199 fails, it is probably a wontfix for 2.4.
Comment 9 David Lawrence 2004-09-29 16:09:05 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.